//
// Created by QP on 2025/4/12.
//

#ifndef PCL_WRAPPER_CLOUD_HANDLE_HPP
#define PCL_WRAPPER_CLOUD_HANDLE_HPP
#pragma once
#include <pcl/point_cloud.h>
#include <pcl/point_types.h>

namespace pcl_wrapper {

    template<typename PointT>
    struct PclPointCloud {
        using CloudPtr = typename pcl::PointCloud<PointT>::Ptr;
        CloudPtr cloud;

        PclPointCloud() : cloud(new pcl::PointCloud<PointT>()) {}
    };

    using PointCloudXYZ  = PclPointCloud<pcl::PointXYZ>;
    using PointCloudXYZI = PclPointCloud<pcl::PointXYZI>;

} // namespace pcl_wrapper
#endif //PCL_WRAPPER_CLOUD_HANDLE_HPP
